Page MenuHomePhabricator

fr.wikipedia.org: Date of next version is earlier than date of current version for some articles
Closed, ResolvedPublic

Description

Author: mediazilla

Description:
Hello,

we hit a strange result on fr.wikipedia.org. We are
wondering if this is not a database corruption.

As this link ( http://fr.wikipedia.org/w/index.php?
title=Wikip%C3%A9dia:Wikip%C3%
A9diens_par_sports&diff=prev&oldid=1614426 ) shows, there
is an incoherence in the timeline of the modification
history.

I don't know if it is a real threat or not, so I have
protected the page for any other modification until
further information.

It would be nice, if somebody could look into it in order
at least to tell us if we can remove the protection or if
some maintainance on the DB must be done.

Thank you in advance

JYP, admin on fr.wikipedia.org


Version: unspecified
Severity: major
URL: http://fr.wikipedia.org/w/index.php?title=Wikip%C3%A9dia:Wikip%C3%A9diens_par_sports&diff=prev&oldid=1614426

Details

Reference
bz1919

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 8:19 PM
bzimport set Reference to bz1919.
bzimport added a subscriber: Unknown Object (MLST).
brion added a comment.Apr 18 2005, 9:26 PM

The 'next' and 'previous' links in the history are very unreliable in the case of pages which have had histories merged via
deletion/undeletion.

Did something like that happen on that page?

The earliest listed revision:
http://fr.wikipedia.org/w/index.php?title=Wikipédia:Wikipédiens_par_sports&oldid=1614426

Fits very well by diff against the next listed revision:
http://fr.wikipedia.org/w/index.php?title=Wikipédia:Wikipédiens_par_sports&oldid=1311881

but has a later old id number, which is often an indication of merging.

mediazilla wrote:

(In reply to comment #1)

The 'next' and 'previous' links in the history are very unreliable in the case

of pages which have had histories merged via

deletion/undeletion.

Did something like that happen on that page?

As far as I know, no: we didn't do anything special (deleting, restauring) on
this pages.

The earliest listed revision:

http://fr.wikipedia.org/w/index.php?title=Wikipédia:Wikipédiens_par_sports&oldid=1614426

Fits very well by diff against the next listed revision:

http://fr.wikipedia.org/w/index.php?title=Wikipédia:Wikipédiens_par_sports&oldid=1311881

but has a later old id number, which is often an indication of merging.

If we look the history, everything looks fine.
Question: is it safe to unblock this page for further use?

le.korrigan wrote:

Looks like bug n°2219 reports the same problem.

The same problem occurs on another article in the French WP : see this diff
http://fr.wikipedia.org/w/index.php?title=Andr%C3%A9e_Brunin&diff=next&oldid=1448234
compared to this one :
http://fr.wikipedia.org/w/index.php?title=Andr%C3%A9e_Brunin&diff=next&oldid=1595425

The dates seem to be incorrect.

User:Korrigan

gangleri wrote:

(In reply to comment #1)

... but has a later old id number, which is often an indication of merging.

see also
bug 3630: Older revision is triggered by oldid value not by date - probably
historical issue

demon added a comment.Dec 9 2009, 3:15 PM
  • Bug 14816 has been marked as a duplicate of this bug. ***

See bug 2930 and its duplicates.

  • This bug has been marked as a duplicate of bug 2930 ***